Permafailure test_mixed_script_content_blocking.py TestMixedScriptContentBlocking.test_mixed_content_page | TimeoutException: TimeoutException: Timed out after 30.1 seconds with message: The correct icon is displayed

RESOLVED FIXED in Firefox 50

Status

()

Firefox
Security
RESOLVED FIXED
2 years ago
2 years ago

People

(Reporter: Treeherder Bug Filer, Assigned: seban)

Tracking

({intermittent-failure, regression})

Trunk
Firefox 50
intermittent-failure, regression
Points:
---

Firefox Tracking Flags

(firefox50 fixed)

Details

Attachments

(1 attachment)

seems its caused by bug 1269820
Blocks: 1269820
Flags: needinfo?(sebastinssanty)
This is a regression from the landing of the patch on bug 1269820.

 06:19:44     INFO - Traceback (most recent call last):

 06:19:44     INFO -   File "/home/worker/workspace/build/venv/local/lib/python2.7/site-packages/marionette/marionette_test.py", line 344, in run

 06:19:44     INFO -     testMethod()

 06:19:44     INFO -   File "/home/worker/workspace/build/tests/firefox-ui/tests/functional/security/test_mixed_script_content_blocking.py", line 72, in test_mixed_content_page

 06:19:44     INFO -     self.expect_protection_enabled()

 06:19:44     INFO -   File "/home/worker/workspace/build/tests/firefox-ui/tests/functional/security/test_mixed_script_content_blocking.py", line 63, in expect_protection_enabled

 06:19:44     INFO -     self._expect_protection_status(True)

 06:19:44     INFO -   File "/home/worker/workspace/build/tests/firefox-ui/tests/functional/security/test_mixed_script_content_blocking.py", line 51, in _expect_protection_status

 06:19:44     INFO -     message="The correct icon is displayed"

 06:19:44     INFO -   File "/home/worker/workspace/build/venv/local/lib/python2.7/site-packages/marionette_driver/wait.py", line 144, in until

06:19:44 INFO - cause=last_exc) 

Sebastian, it looks like you missed to update the image reference for the changed lock icon.
status-firefox50: --- → affected
Keywords: regression
(Assignee)

Comment 3

2 years ago
Very sorry about that. Forgot to pull for somedays. How should I proceed to resolve this. I have updated mozilla-central locally.
Flags: needinfo?(sebastinssanty) → needinfo?(hskupin)
Please read the following MDN page how to run our tests:
https://developer.mozilla.org/en-US/docs/Mozilla/QA/firefox-ui-tests

Here specifically the following test is affected /testing/firefox-ui/tests/functional/security/test_mixed_script_content_blocking.py.
Flags: needinfo?(hskupin)

Updated

2 years ago
Summary: Intermittent test_mixed_script_content_blocking.py TestMixedScriptContentBlocking.test_mixed_content_page | TimeoutException: TimeoutException: Timed out after 30.1 seconds with message: The correct icon is displayed → Permafailure test_mixed_script_content_blocking.py TestMixedScriptContentBlocking.test_mixed_content_page | TimeoutException: TimeoutException: Timed out after 30.1 seconds with message: The correct icon is displayed
(Assignee)

Comment 5

2 years ago
Created attachment 8768795 [details] [diff] [review]
bug1285124_testfix_identitysecure.diff

On behalf of Florian. Thanks for the help!.
Assignee: nobody → sebastinssanty
Attachment #8768795 - Flags: review?(hskupin)
Attachment #8768795 - Flags: review?(hskupin) → review+
Keywords: checkin-needed
I missed to add that this patch needs to land on fx-team where we have the permafail. Thanks.

Comment 7

2 years ago
Pushed by ryanvm@gmail.com:
https://hg.mozilla.org/integration/fx-team/rev/e2f5a7c70b47
Update the image reference in test_mixed_script_content_blocking.py. r=whimboo
Keywords: checkin-needed

Comment 8

2 years ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/e2f5a7c70b47
Status: NEW → RESOLVED
Last Resolved: 2 years ago
status-firefox50: affected → fixed
Resolution: --- → FIXED
Target Milestone: --- → Firefox 50

Comment 9

2 years ago
54 automation job failures were associated with this bug yesterday.

Repository breakdown:
* fx-team: 54

Platform breakdown:
* linux64: 54

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1285124&startday=2016-07-07&endday=2016-07-07&tree=all
Version: unspecified → Trunk

Comment 10

2 years ago
54 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 54

Platform breakdown:
* linux64: 54

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1285124&startday=2016-07-04&endday=2016-07-10&tree=all
You need to log in before you can comment on or make changes to this bug.